# `RNAstructure_jll.jl` (v6.4.0+0)

[![deps](https://juliahub.com/docs/RNAstructure_jll/deps.svg)](https://juliahub.com/ui/Packages/RNAstructure_jll/vMkwA?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/75939729660bfc6725a46a29008cd7b10404810a/R/RNAstructure/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `RNAstructure_jll.jl` have been built from these sources:

* compressed archive: https://rna.urmc.rochester.edu/Releases/6.4/RNAstructureSource.tgz (SHA256 checksum: `e2a372a739153293185eeffee3d3265f9f50dc6976053a1d013ccf086b06d975`)

## Platforms

`RNAstructure_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl}` (`aarch64-linux-musl-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl}` (`aarch64-linux-musl-cxx11`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv6l-linux-musleabihf-cxx03`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv6l-linux-musleabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv7l-linux-musleabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv7l-linux-musleabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl}` (`i686-linux-musl-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl}` (`i686-linux-musl-cxx11`)
* `Windows i686 {cxxstring_abi=cxx03}` (`i686-w64-mingw32-cxx03`)
* `Windows i686 {cxxstring_abi=cxx11}` (`i686-w64-mingw32-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl}` (`x86_64-linux-musl-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64 {cxxstring_abi=cxx03}` (`x86_64-w64-mingw32-cxx03`)
* `Windows x86_64 {cxxstring_abi=cxx11}` (`x86_64-w64-mingw32-cxx11`)

## Dependencies

The following JLL packages are required by `RNAstructure_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`LLVMOpenMP_jll`](https://github.com/JuliaBinaryWrappers/LLVMOpenMP_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libRNAstructure`
* `ExecutableProduct`: `AccessFold`
* `ExecutableProduct`: `AllSub`
* `ExecutableProduct`: `CircleCompare`
* `ExecutableProduct`: `CycleFold`
* `ExecutableProduct`: `DuplexFold`
* `ExecutableProduct`: `DuplexFold_smp`
* `ExecutableProduct`: `DynalignDotPlot`
* `ExecutableProduct`: `EDcalculator`
* `ExecutableProduct`: `EDcalculator_smp`
* `ExecutableProduct`: `ETEcalculator`
* `ExecutableProduct`: `ETEcalculator_smp`
* `ExecutableProduct`: `EnergyPlot`
* `ExecutableProduct`: `EnsembleEnergy`
* `ExecutableProduct`: `Fold`
* `ExecutableProduct`: `Fold_smp`
* `ExecutableProduct`: `MaxExpect`
* `ExecutableProduct`: `MaxExpect_smp`
* `ExecutableProduct`: `NAPSS`
* `ExecutableProduct`: `OligoWalk`
* `ExecutableProduct`: `PARTS`
* `ExecutableProduct`: `ProbKnot`
* `ExecutableProduct`: `ProbKnot_smp`
* `ExecutableProduct`: `ProbScan`
* `ExecutableProduct`: `ProbabilityPlot`
* `ExecutableProduct`: `ProbablePair`
* `ExecutableProduct`: `ProbablePair_smp`
* `ExecutableProduct`: `RemovePseudoknots`
* `ExecutableProduct`: `RemovePseudoknots_smp`
* `ExecutableProduct`: `Rsample`
* `ExecutableProduct`: `Rsample_smp`
* `ExecutableProduct`: `ShapeKnots`
* `ExecutableProduct`: `ShapeKnots_smp`
* `ExecutableProduct`: `StructureProb`
* `ExecutableProduct`: `StructureProb_smp`
* `ExecutableProduct`: `SymmetryTester`
* `ExecutableProduct`: `TurboFold`
* `ExecutableProduct`: `TurboFold_smp`
* `ExecutableProduct`: `TurboHomology`
* `ExecutableProduct`: `bifold`
* `ExecutableProduct`: `bifold_smp`
* `ExecutableProduct`: `bipartition`
* `ExecutableProduct`: `bipartition_smp`
* `ExecutableProduct`: `ct2dot`
* `ExecutableProduct`: `design`
* `ExecutableProduct`: `design_smp`
* `ExecutableProduct`: `dot2ct`
* `ExecutableProduct`: `draw`
* `ExecutableProduct`: `dynalign`
* `ExecutableProduct`: `dynalign_ii`
* `ExecutableProduct`: `dynalign_ii_smp`
* `ExecutableProduct`: `dynalign_smp`
* `ExecutableProduct`: `efn2`
* `ExecutableProduct`: `efn2_smp`
* `ExecutableProduct`: `multilign`
* `ExecutableProduct`: `multilign_smp`
* `ExecutableProduct`: `oligoscreen`
* `ExecutableProduct`: `oligoscreen_smp`
* `ExecutableProduct`: `orega`
* `ExecutableProduct`: `orega_smp`
* `ExecutableProduct`: `partition`
* `ExecutableProduct`: `partition_smp`
* `ExecutableProduct`: `phmm`
* `ExecutableProduct`: `refold`
* `ExecutableProduct`: `scorer`
* `ExecutableProduct`: `stochastic`
* `ExecutableProduct`: `stochastic_smp`
* `ExecutableProduct`: `validate`
